import Vue from 'vue'
import VueI18n from 'vue-i18n'
import enUS from './en-us'
import zhCN from './zh-cn'
import Cookies from 'js-cookie'
import enLocale from 'element-ui/lib/locale/lang/en'
import zhLocale from 'element-ui/lib/locale/lang/zh-CN'

Vue.use(VueI18n)

export default new VueI18n({
  locale: Cookies.get('locale') || 'zh-CN',
  fallbackLocale: 'en-US',
  formatFallbackMessages: true,
  silentTranslationWarn: true,
  messages: {
    'en-US': Object.assign(enLocale, enUS),
    'zh-CN': Object.assign(zhLocale, zhCN),
  },
})
