/**
 * Created by PanJiaChen on 16/11/18.
 */

/**
 * @param {string} path
 * @returns {Boolean}
 */
export function isExternal(path) {
  return /^(https?:|mailto:|tel:)/.test(path)
}

/**
 * @param {string} str
 * @returns {Boolean}
 */
export function validUsername(str) {
  const valid_map = ['admin', 'editor']
  return valid_map.indexOf(str.trim()) >= 0
}

export function isMobile(s) {
  return /^1[0-9]{10}$/.test(s)
}

export function isEmail(s) {
  return /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((.[a-zA-Z0-9_-]{2,3}){1,2})$/.test(
    s
  )
}

export function isEmptyObj(object) {
  for (const key in object) {
    if (
      object[key] === null ||
      object[key] === undefined ||
      object[key] === ''
    ) {
      return true
    }
  }
  return false
}

// 检查数组中对象元素的key值，有重复的值则返回true
export function hasDuplicateKey(array, key) {
  const uniqueValues = new Set()
  for (const obj of array) {
    const value = obj[key]
    if (uniqueValues.has(value)) {
      return true
    }
    uniqueValues.add(value)
  }
  return false
}
